%define DATE 20010228
Name: konq-nox
Version: 2.1
Release: 2
Summary: A web browser for framebuffer devices
URL: http://www.konqueror.org/
Source: kdenox-%{DATE}.tar.bz2
Source1: kdelibsnox-2.1.tar.bz2
License: GPL
Group: Applications/Internet
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
Requires: qt-embedded >= 2.2.4-1
BuildRequires: qt-embedded-devel >= 2.2.4
ExcludeArch: ia64
Prefix: /usr/lib/kdenox

%description
%{name} is a special version of KDE's Konqueror web browser,
designed to run on framebuffer devices rather than X11.

%prep
%setup -n kdenox -c -a 0 -a 1
cd kdenox
export QTDIR=`ls -1 -d /usr/lib/qt-embedded-* |tail -n1`

make -f Makefile.cvs
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --enable-qt-embedded

%build
cd kdenox
export QTDIR=`ls -1 -d /usr/lib/qt-embedded-* |tail -n1`
make

%install
rm -rf $RPM_BUILD_ROOT
cd kdenox
mkdir -p $RPM_BUILD_ROOT/usr/bin
make install DESTDIR=$RPM_BUILD_ROOT
cat >$RPM_BUILD_ROOT/usr/bin/konq-nox <<EOF
#!/bin/sh
if test -n "\$DISPLAY"; then
	echo "You can't run framebuffer applications from X11."
	exit 1
fi
GPM=\`/sbin/pidof gpm\`
if test -n "\$GPM"; then
	if "\`id -u\`" = 0; then
		/sbin/service gpm stop
	else
		echo "You can't run Qt/Embedded applications while gpm is running."
		exit 1
	fi
fi
QTDIR=`ls -1 -d /usr/lib/qt-embedded-* |tail -n1` \
KDEDIR=%{prefix} \
KDEDIRS=%{prefix} \
KDEHOME=%{prefix} \
%{prefix}/konq -qws \$@ &>/dev/null
if test -n "\$GPM"; then
	/sbin/service gpm start
fi
EOF
chmod 0755 $RPM_BUILD_ROOT/usr/bin/konq-nox

%files
%defattr(-,root,root)
/usr/bin/konq-nox
%{prefix}/konq
%dir %{prefix}/share/apps
%dir %{prefix}/share/apps/khtml
%dir %{prefix}/share/apps/khtml/css
%{prefix}/share/apps/khtml/css/html4.css
%{prefix}/share/apps/kssl/caroot/ca-bundle.crt
%dir %{prefix}/share/config
%{prefix}/share/config/charsets


%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Fri Mar  2 2001 Tim Powers <timp@redhat.com>
- rebuilt against openssl-0.9.6-1

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- kdelibs 2.1, kdenox 20010228

* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with Qt-Embedded 2.2.4
- Build on alpha; qt-embedded 2.2.4 finally compiles there.
  Still won't build on ia64 because of compiler bugs.

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
